<?php

//Clase de Paises
class clase
{
  	var $nom_tabla = 'dgbasico';
  	var  $gpo_basico = '0';
	var  $des_basico = '0';
	var  $lim_vta1 = '0';
	var  $lim_vta2 = '0';
	var  $lim_vta3 = '0';
//Funcion de Revicion
	function revisar(){
		$sql = "SELECT * FROM $this->nom_tabla WHERE des_basico = '$this->des_basico'";
	   	$result = mysqli_query($GLOBALS['con'] ,$sql);
	   	$num_salidas=mysqli_num_rows($result); 
		if($num_salidas>=1){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
//Funcion de Agregar
	function agregar(){
		$sql = "insert into $this->nom_tabla (des_basico, lim_vta1, lim_vta2, lim_vta3)values('$this->des_basico', '$this->lim_vta1', '$this->lim_vta2', '$this->lim_vta3')";
	   	$result = mysqli_query($GLOBALS['con'] ,$sql);
		if ($result){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
//Funcion de Lista Completa
	function lista_completa(){
		$sql= "SELECT * FROM $this->nom_tabla";
		$lista = mysqli_query($GLOBALS['con'] ,$sql);
		if ($lista){
			return $lista;
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
//Funcion de Lista con Busqueda
	function lista_busqueda($gpo_basico){
		$sql= "SELECT * FROM $this->nom_tabla WHERE gpo_basico = '$gpo_basico'";
		$lista = mysqli_query($GLOBALS['con'] ,$sql);
		if ($lista){
			return $lista;
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";   
		}
	}
//Funcion de Modificar
	function modifica($gpo_basico){
		$sql = "UPDATE $this->nom_tabla SET des_basico = '$this->des_basico',lim_vta1= '$this->lim_vta1', lim_vta2= '$this->lim_vta2', lim_vta3= '$this->lim_vta3' where gpo_basico = '$gpo_basico' ";
		$result= mysqli_query($GLOBALS['con'] ,$sql);
		if($result){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()"; 
		}
	}
//Funcion de eliminar
	function eliminar($gpo_basico){   
		$sql = "DELETE FROM $this->nom_tabla WHERE gpo_basico = '$gpo_basico'";
		$resultado = mysqli_query($GLOBALS['con'] ,$sql);
		if($resultado){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()"; 
		}           
	}   
}       
?>